## debiandoc-sgml 1.1.44

=== Makefile ===
## ----------------------------------------------------------------------
## Makefile: 
## ----------------------------------------------------------------------

## ----------------------------------------------------------------------
## General directory definitions
prefix		= /usr/local
lib_dir		= $(prefix)/lib
bin_dir		= $(prefix)/bin
man_dir		= $(prefix)/share/man

## ----------------------------------------------------------------------
## Manual pages directory definitions
man1		= 1
man1_dir	= $(man_dir)/man$(man1)

## ----------------------------------------------------------------------
## SGML directory definitions
sgml_dir	= $(lib_dir)/sgml
cat_dir		= $(sgml_dir)/catalog
decl_dir	= $(sgml_dir)/declaration
dtd_dir		= $(sgml_dir)/dtd
ent_dir		= $(sgml_dir)/entities

## ----------------------------------------------------------------------
## Package definitions
dtd_name	= debiandoc
dtd_ucname	= DebianDoc

## ----------------------------------------------------------------------
## Package directory definitions
pkg_name 	= $(dtd_name)-sgml
pkg_dir		= $(lib_dir)/$(pkg_name)
pkg_lib_dir	= $(pkg_dir)/lib
pkg_perl_dir	= $(pkg_lib_dir)/DebianDoc_SGML
pkg_format_dir	= $(pkg_perl_dir)/Format
pkg_locale_dir	= $(pkg_perl_dir)/Locale
pkg_map_dir	= $(pkg_perl_dir)/Map
pkg_bin_dir	= $(pkg_dir)/bin
pkg_sgml_dir	= $(sgml_dir)/$(dtd_ucname)
pkg_cat_dir	= $(pkg_sgml_dir)/catalog
pkg_decl_dir	= $(pkg_sgml_dir)/declaration
pkg_dtd_dir	= $(pkg_sgml_dir)/dtd
pkg_ent_dir	= $(pkg_sgml_dir)/entities

## ----------------------------------------------------------------------
## Package file definitions
DECLARATIONS	= $(dtd_name).decl
DTDS		= $(dtd_name).dtd
ENTITIES	= debiandoc-lat1 debiandoc-lat2
CATALOG		= sgml.catalog
FORMATS		= HTML LaTeX Texinfo Text TextOV
SPECS		= html latex texinfo text textov
BCONVS		= $(foreach spec,$(SPECS),$(dtd_name)2$(spec))
PCONVS		= $(dtd_name)2info $(dtd_name)2latexdvi $(dtd_name)2latexpdf \
			$(dtd_name)2latexps
PROGRAMS	= $(BCONVS) $(PCONVS)
MAN1S		= $(pkg_name)
HELPERS		= saspconvert

## ----------------------------------------------------------------------
## General (un)install definitions
SHELL		= /bin/bash
PATH		:=:$(PATH)
INSTALL		= /usr/bin/install
INSTALL_DIR	= $(INSTALL) -d -m 755
INSTALL_SCRIPT	= $(INSTALL) -m 755
INSTALL_FILE	= $(INSTALL) -m 644
LN		= /bin/ln -sf
RM		= /bin/rm -f
RMDIR		= /bin/rmdir -p --ignore-fail-on-non-empty

## ----------------------------------------------------------------------
## Targets
all:		bin

bin:		$(foreach bconv,$(BCONVS),tools/bin/$(bconv))

$(foreach bconv,$(BCONVS),tools/bin/$(bconv)): \
		tools/bin/template tools/bin/conversions tools/bin/mkconversions

		set -e; \
		cd tools/bin; \
		./mkconversions $(pkg_format_dir) $(pkg_bin_dir); \
		cd -

install:	all

		set -e; \
		$(INSTALL_DIR) $(ent_dir); \
		for f in $(ENTITIES); \
		do \
			$(INSTALL_FILE) sgml/entities/$$f $(ent_dir); \
		done

		set -e; \
		$(INSTALL_DIR) $(decl_dir); \
		for f in $(DECLARATIONS); \
		do \
			$(INSTALL_FILE) sgml/declaration/$$f $(decl_dir); \
		done

		set -e; \
		$(INSTALL_DIR) $(dtd_dir); \
		for f in $(DTDS); \
		do \
			$(INSTALL_FILE) sgml/dtd/$$f $(dtd_dir); \
		done

		set -e; \
		$(INSTALL_DIR) $(pkg_dir); \
		for f in $(CATALOG); \
		do \
			$(INSTALL_FILE) sgml/catalog/$$f $(pkg_dir); \
		done

		set -e; \
		$(INSTALL_DIR) $(pkg_dtd_dir); \
		$(LN) ../../dtd/$(dtd_name).dtd $(pkg_dtd_dir)/$(dtd_ucname)

		set -e; \
		$(INSTALL_DIR) $(pkg_format_dir); \
		for f in `ls tools/lib/Format/*.pm`; \
		do \
			$(INSTALL_FILE) $$f $(pkg_format_dir); \
		done

		set -e; \
		$(INSTALL_DIR) $(pkg_locale_dir); \
		for f in `ls tools/lib/Locale/*.pm`; \
		do \
			$(INSTALL_FILE) $$f $(pkg_locale_dir); \
		done
		for d in `ls -d tools/lib/Locale/*_*`; \
		do \
			$(INSTALL_DIR) $(pkg_locale_dir)/`basename $$d`; \
			for f in $(FORMATS); \
			do \
				$(INSTALL_FILE) $$d/$$f $(pkg_locale_dir)/`basename $$d`; \
			done; \
		done

		set -e; \
		$(INSTALL_DIR) $(pkg_map_dir); \
		for f in `ls tools/lib/Map/*.pm`; \
		do \
			$(INSTALL_FILE) $$f $(pkg_map_dir); \
		done

		set -e; \
		$(INSTALL_DIR) $(pkg_bin_dir); \
		for f in $(HELPERS); \
		do \
			$(INSTALL_SCRIPT) tools/bin/$$f $(pkg_bin_dir); \
		done

		set -e; \
		$(INSTALL_DIR) $(bin_dir); \
		for f in $(PROGRAMS); \
		do \
			$(INSTALL_SCRIPT) tools/bin/$$f $(bin_dir); \
		done

		set -e; \
		$(INSTALL_DIR) $(man1_dir); \
		for f in $(MAN1S); \
		do \
			$(INSTALL_FILE) tools/man/$$f.$(man1) $(man1_dir)/$$f.$(man1); \
		done; \
		for f in $(PROGRAMS); \
		do \
			$(LN) $(firstword $(MAN1S)).$(man1) $(man1_dir)/$$f.$(man1); \
		done

uninstall:

		set -e; \
		for f in $(PROGRAMS); \
		do \
			$(RM) $(man1_dir)/$$f.$(man1); \
		done; \
		for f in $(MAN1S); \
		do \
			$(RM) $(man1_dir)/$$f.$(man1); \
		done

		set -e; \
		for f in $(PROGRAMS); \
		do \
			$(RM) $(bin_dir)/$$f; \
		done

		set -e; \
		for f in $(HELPERS); \
		do \
			$(RM) $(pkg_bin_dir)/$$f; \
		done; \
		$(RMDIR) $(pkg_bin_dir)

		set -e; \
		for f in `ls $(pkg_map_dir)/*.pm`; \
		do \
			$(RM) $$f; \
		done; \
		$(RMDIR) $(pkg_map_dir)

		set -e; \
		for d in `ls -d $(pkg_locale_dir)/*_*`; \
		do \
			d=`basename $$d`; \
			for f in $(FORMATS); \
			do \
				$(RM) $(pkg_locale_dir)/$$d/$$f; \
			done; \
			$(RMDIR) $(pkg_locale_dir)/$$d; \
		done; \
		for f in `ls $(pkg_locale_dir)/*.pm`; \
		do \
			$(RM) $$f; \
		done; \
		$(RMDIR) $(pkg_locale_dir)

		set -e; \
		for f in `ls $(pkg_format_dir)/*.pm`; \
		do \
			$(RM) $$f; \
		done; \
		$(RMDIR) $(pkg_format_dir)

		set -e; \
		$(RM) $(pkg_dtd_dir)/$(dtd_ucname); \
		$(RMDIR) $(pkg_dtd_dir)

		set -e; \
		for f in $(CATALOG); \
		do \
			$(RM) $(pkg_dir)/$$f; \
		done; \
		$(RMDIR) $(pkg_dir)

		set -e; \
		for f in $(DTDS); \
		do \
			$(RM) $(dtd_dir)/$$f; \
		done; \
		$(RMDIR) $(dtd_dir)

		set -e; \
		for f in $(DECLARATIONS); \
		do \
			$(RM) $(decl_dir)/$$f; \
		done; \
		$(RMDIR) $(decl_dir)

		set -e; \
		for f in $(ENTITIES); \
		do \
			$(RM) $(ent_dir)/$$f; \
		done; \
		$(RMDIR) $(ent_dir)

clean:

		$(RM) $(foreach bconv,$(BCONVS),tools/bin/$(bconv))

## ----------------------------------------------------------------------

=== debian/changelog ===
debiandoc-sgml (1.1.44) stable unstable; urgency=high

  * Well, it actually should have gone into stable iso frozen

 -- Ardo van Rangelrooij <ardo@debian.org>  Fri,  6 Oct 2000 20:02:59 -0500

debiandoc-sgml (1.1.43) frozen unstable; urgency=high

  * Per request of Adam Di Carlo also uploaded to frozen (potato) to
    provide the boot floppies with Polish documentation and fix some
    problems with Russian documentation

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 13 Aug 2000 20:39:57 +0200

debiandoc-sgml (1.1.42) unstable; urgency=low

  * Reorganized source directory structure
  * Added Polish locale support (thanks Marcin!)
  * Format/HTML.pm: changed order of <TITLE> and <META> (following Bug#62700)
  * Format/HTML.pm: use File::Spec for path construction (closes: Bug#64372)
    (thanks Marcus!)
  * Format/*: moved SDATA maps into separate modules Map/*
  * Format/Driver.pm: added format based SDATA map require
  * Map/LaTeX.pm: changed guillemotleft and guillemotright into resp. '<<'
    and '>>' (closes: Bug#64515) (thanks David!)
  * bin/saspconvert: fixed strange code (closes: Bug#65723) (thanks Julian!)
  * bin/saspconvert2: moved functionality into format backends
  * bin/saspconvert2: removed
  * Makefile: updated to reflect removal of saspconvert2
  * man/debiandoc-sgml.1: updated to reflect removal of saspconvert2
  * Format/Text*: moved footnotes and comments to end of current section
    (closes: Bug#64922) (thanks Julian!)
  * Format/Text*: fixed footnote and comment alignment
  * Format/LaTeX.pm: use package footmisc to handle consecutive footnotes
  * Format/Texinfo.pm: removed unnecessary context check
  * Format/Driver.pm: removed obsolete variable 'stat'

 -- Ardo van Rangelrooij <ardo@debian.org>  Thu, 13 Jul 2000 18:05:11 +0200

debiandoc-sgml (1.1.41) frozen unstable; urgency=low

  * Improved error handling in scripts (closes: Bug#60246) (thanks Josip!)
  * Added check in scripts to warn for overwriting already existing files
    (closes: Bug#60313) (thanks Josip!)
  * Fixed broken handling of <comment> (also combined with <footnote>)
    (closes: Bug#59032) (thanks Josip!)
  * Fixed broken handling of nested <taglist>s  
  * Format/LaTeX.pm: fixed broken cross-referencing (closes: Bug#61037)
    (thanks Ross!)
  * Format/LaTeX.pm: fixed broken handling of special characters
  * man/debiandoc-sgml.1: enhanced in various ways

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 27 Mar 2000 23:06:53 +0200

debiandoc-sgml (1.1.40) unstable; urgency=low

  * Fixed broken handling of <taglist> with multiple <tag>s per <item>
    (Closes: #37770) (thanks Adam!)
  * Format/LaTeX.pm: fixed still broken SDATA handling in <example>
    (thanks Dmitry!)

 -- Ardo van Rangelrooij <ardo@debian.org>  Wed, 12 Jan 2000 21:18:06 +0100

debiandoc-sgml (1.1.39) unstable; urgency=low

  * Format/LaTeX.pm: fixed broken <appendix> handling (Closes: #54390)
    (thanks Dmitry!)
  * Format/HTML.pm: fixed broken SDATA handling (Closes: #54389) (thanks
    Dmitry and Fumitoshi UKAI!)
  * Locale/Alias.pm: changed ja_JP into ja_JP.eucJP (thanks Fumitoshi UKAI!)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  9 Jan 2000 14:56:58 +0100

debiandoc-sgml (1.1.38) unstable; urgency=low

  * Format/Texinfo.pm: removed @strong from taglist items and improved
    dash handling (Closes: #51292) (thanks Jor-el!)
  * Format/Texinfo.pm: fixed indentation for subsubsections in toc
  * Format/Driver.pm: use much more Perl idiom
  * Format/LaTeX.pm: changed format to book to get better layout
  * Format/LaTeX.pm: fixed SDATA/CDATA incorrect handling in examples
    (Closes: #53556) (thanks James!)
  * scripts/*: made passing on of command line parameters consistent and
    complete 
  * debian/postinst: added old cruft removal (Closes: #51027) (thanks Joey!)
  * debian/control: moved all Perl modules needed for HTML output from
    'Recommends' to 'Depends' (Closes: #52191) (thanks Adam!)
  * debian/copyright: updated location of GPL
  * Updated all applicable copyright summaries to reflect new year
  * Upgraded to Debian Policy 3.1.1

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  2 Jan 2000 18:41:56 +0100

debiandoc-sgml (1.1.37) unstable; urgency=low

  * Locale/Alias.pm: added 'ja_JP.ujis' and 'ja_JP.eucJP' (Closes: #49101)
    (thanks Masayuki Hatta!)
  * Locale/ja_JP/HTML: set 'charset' to 'euc-jp' (thanks Masayuki Hatta!)
  * Locale/pt*/LaTeX: corrected 'babel' value
  * Upgraded to Debian Policy 3.1.0

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 14 Nov 1999 22:12:38 +0100

debiandoc-sgml (1.1.36) unstable; urgency=low

  * Format/Text.pm: use Text::Format to keep long URLs from breaking
    (Closes: #33497) (thanks Adam!) and to get a double space after a
    full stop (thanks Martin!)
  * Format/[HTML,LaTeX,Texinfo].pm: use Text::Format to improve output
  * debian/control: 'Suggests' -> 'Recommends' (except for documentation)
    (Closes: #49136, #49144) (thanks David and Julian!)
  * debian/control: add missing 'texinfo' to 'Recommends'

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon,  8 Nov 1999 21:11:39 +0100

debiandoc-sgml (1.1.35) unstable; urgency=low

  * Added `editor' attribute to <comment> (Closes: #40231) (thanks Michael!)
  * Format/Driver.pm: improved consecutive footnote handling

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue,  2 Nov 1999 19:54:40 +0100

debiandoc-sgml (1.1.34) unstable; urgency=low

  * Closes: #14747
  * Format/*: various small things

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 31 Oct 1999 21:51:58 +0100

debiandoc-sgml (1.1.33) unstable; urgency=low

  * Removed following redundant scripts: debiandoc2dvi, debiandoc2dvips,
    debiandoc2latex2epdf, debiandoc2ps
  * Removed Lout output support
  * man/debiandoc-sgml.1: various small corrections

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 31 Oct 1999 13:25:39 +0100

debiandoc-sgml (1.1.32) unstable; urgency=low

  * debian/control: Depends: sgmlspm => libsgmls-perl, sgmlspl


=== debian/control ===
Source: debiandoc-sgml
Section: text
Priority: optional
Maintainer: Ardo van Rangelrooij <ardo@debian.org>
Standards-Version: 3.1.1
Build-Depends: debhelper

Package: debiandoc-sgml
Architecture: all
Depends: ${perl:Depends}, libsgmls-perl, sgmlspl, sgml-base, sgml-data, sp, libtext-format-perl, libi18n-langtags-perl, liburi-perl, libhtml-parser-perl
Recommends: libpaperg, tetex-bin, tetex-extra, texinfo
Suggests: debiandoc-sgml-doc
Description: DebianDoc SGML DTD and formatting tools
 This is an SGML-based documentation formatting package used for the
 Debian manuals.  It reads markup files and produces DVI (via LaTeX),
 HTML, Info (via Texinfo), LaTeX, PostScript (via DVI), Texinfo, and
 plain text (with overstrikes a la troff as well as without) files.
 .
 The LaTeX based output needs the libpaperg, tetex-bin and tetex-extra
 packages.  The Texinfo based output needs the texinfo package.

=== debian/rules ===
#!/usr/bin/make -f
## ----------------------------------------------------------------------
## debian/rules : build and install script for debiandoc-sgml
## ----------------------------------------------------------------------

## ----------------------------------------------------------------------
## uncomment this to turn on verbose mode
#export DH_VERBOSE=1

## ----------------------------------------------------------------------
## targets

build:		build-stamp
build-stamp:
		dh_testdir
		$(MAKE) prefix=/usr
		touch build-stamp

clean:
		dh_testdir
		dh_testroot
		$(MAKE) clean
		dh_clean
		rm -f build-stamp

binary-indep:	build
		dh_testdir
		dh_testroot
		dh_clean
		dh_installdirs
		$(MAKE) prefix=`pwd`/debian/tmp/usr install
		dh_installdocs README
		dh_installchangelogs
		dh_compress
		dh_fixperms
		dh_installdeb
		dh_perl
		dh_gencontrol
		dh_md5sums
		dh_builddeb

binary-arch:

binary:		binary-indep binary-arch

.PHONY:		build clean binary-indep binary-arch binary

## ----------------------------------------------------------------------

## debiandoc-sgml 1.1.67woody1

=== Makefile ===
## ----------------------------------------------------------------------
## Makefile: makefile for debiandoc-sgml
## ----------------------------------------------------------------------

## ----------------------------------------------------------------------
## General directory definitions
prefix		:= /usr/local
bin_dir		:= $(prefix)/bin
share_dir	:= $(prefix)/share
ifeq ($(prefix),/usr/local)
man_dir		:= $(prefix)/man
else
man_dir		:= $(share_dir)/man
endif
ifeq ($(prefix),/usr/local)
perl_version	:= 5.6.1
perl_dir	:= $(share_dir)/perl/$(perl_version)
else
perl_dir	:= $(share_dir)/perl5
endif
sgml_dir	:= $(share_dir)/sgml

## ----------------------------------------------------------------------
## Manual pages directory definitions
man1		:= 1
man1_dir	:= $(man_dir)/man$(man1)

## ----------------------------------------------------------------------
## Package definitions
dtd_name	:= debiandoc
dtd_type	:= sgml
dtd_version	:= 1.0

## ----------------------------------------------------------------------
## Package SGML directory definitions
pkg_dtd_dir	:= $(sgml_dir)/$(dtd_name)/dtd/$(dtd_type)/$(dtd_version)
pkg_ent_dir	:= $(sgml_dir)/$(dtd_name)/entities

## ----------------------------------------------------------------------
## Package SGML file definitions
DTDS		:= catalog $(dtd_name).dtd $(dtd_name).dcl
ENTITIES	:= catalog $(dtd_name)-lat1 $(dtd_name)-lat2

## ----------------------------------------------------------------------
## Package tools directory definitions
pkg_perl_dir	:= $(perl_dir)/DebianDoc_SGML
pkg_format_dir	:= $(pkg_perl_dir)/Format
pkg_locale_dir	:= $(pkg_perl_dir)/Locale
pkg_map_dir	:= $(pkg_perl_dir)/Map
pkg_name 	:= $(dtd_name)-$(dtd_type)
pkg_bin_dir	:= $(share_dir)/$(pkg_name)

## ----------------------------------------------------------------------
## Package tools file definitions
FORMATS		:= HTML LaTeX Texinfo Text TextOV
SPECS		:= html latex texinfo text textov
EXTS		:= html tex texinfo txt tov
BCONVS		:= $(foreach spec,$(SPECS),$(dtd_name)2$(spec))
PCONVS		:= $(dtd_name)2dvi $(dtd_name)2info $(dtd_name)2latexdvi \
			$(dtd_name)2latexpdf $(dtd_name)2latexps \
			$(dtd_name)2pdf $(dtd_name)2ps
TOOLS		:= $(BCONVS) $(PCONVS)
MAN1S		:= $(pkg_name)
HELPERS		:= saspconvert

## ----------------------------------------------------------------------
## General (un)install definitions
SHELL		:= bash
INSTALL		:= /usr/bin/install
INSTALL_DIR	:= $(INSTALL) -d -m 755
INSTALL_SCRIPT	:= $(INSTALL) -p -m 755
INSTALL_FILE	:= $(INSTALL) -p -m 644
LN		:= /bin/ln -sf
RM		:= /bin/rm -f
RMDIR		:= /bin/rmdir -p --ignore-fail-on-non-empty

## ----------------------------------------------------------------------
## Targets
all:		bin

bin:		$(foreach bconv,$(BCONVS),tools/bin/$(bconv))

$(foreach bconv,$(BCONVS),tools/bin/$(bconv)): \
		tools/bin/template tools/bin/conversions tools/bin/mkconversions

		set -e; \
		cd tools/bin; \
		./mkconversions $(pkg_format_dir) $(pkg_bin_dir); \
		cd -

install:	all

		set -e; \
		$(INSTALL_DIR) $(pkg_dtd_dir); \
		for f in $(DTDS); \
		do \
			$(INSTALL_FILE) sgml/dtd/$$f $(pkg_dtd_dir); \
		done

		set -e; \
		$(INSTALL_DIR) $(pkg_ent_dir); \
		for f in $(ENTITIES); \
		do \
			$(INSTALL_FILE) sgml/entities/$$f $(pkg_ent_dir); \
		done

		set -e; \
		$(INSTALL_DIR) $(pkg_format_dir); \
		for f in `ls tools/lib/Format/*.pm`; \
		do \
			$(INSTALL_FILE) $$f $(pkg_format_dir); \
		done

		set -e; \
		$(INSTALL_DIR) $(pkg_locale_dir); \
		for f in `ls tools/lib/Locale/*.pm`; \
		do \
			$(INSTALL_FILE) $$f $(pkg_locale_dir); \
		done
		for d in `ls -d tools/lib/Locale/*_*`; \
		do \
			$(INSTALL_DIR) $(pkg_locale_dir)/`basename $$d`; \
			for f in $(FORMATS); \
			do \
				$(INSTALL_FILE) $$d/$$f $(pkg_locale_dir)/`basename $$d`; \
			done; \
		done

		set -e; \
		$(INSTALL_DIR) $(pkg_map_dir); \
		for f in `ls tools/lib/Map/*.pm`; \
		do \
			$(INSTALL_FILE) $$f $(pkg_map_dir); \
		done

		set -e; \
		$(INSTALL_DIR) $(pkg_bin_dir); \
		for f in $(HELPERS); \
		do \
			$(INSTALL_SCRIPT) tools/bin/$$f $(pkg_bin_dir); \
		done

		set -e; \
		$(INSTALL_DIR) $(bin_dir); \
		for f in $(TOOLS); \
		do \
			$(INSTALL_SCRIPT) tools/bin/$$f $(bin_dir); \
		done

		set -e; \
		$(INSTALL_DIR) $(man1_dir); \
		for f in $(MAN1S); \
		do \
			$(INSTALL_FILE) tools/man/$$f.$(man1) $(man1_dir)/$$f.$(man1); \
		done; \
		for f in $(TOOLS); \
		do \
			$(LN) $(firstword $(MAN1S)).$(man1) $(man1_dir)/$$f.$(man1); \
		done

uninstall:

		set -e; \
		for f in $(TOOLS); \
		do \
			$(RM) $(man1_dir)/$$f.$(man1); \
		done; \
		for f in $(MAN1S); \
		do \
			$(RM) $(man1_dir)/$$f.$(man1); \
		done

		set -e; \
		for f in $(TOOLS); \
		do \
			$(RM) $(bin_dir)/$$f; \
		done

		set -e; \
		for f in $(HELPERS); \
		do \
			$(RM) $(pkg_bin_dir)/$$f; \
		done; \
		$(RMDIR) $(pkg_bin_dir)

		set -e; \
		for f in `ls $(pkg_map_dir)/*.pm`; \
		do \
			$(RM) $$f; \
		done; \
		$(RMDIR) $(pkg_map_dir)

		set -e; \
		for d in `ls -d $(pkg_locale_dir)/*_*`; \
		do \
			d=`basename $$d`; \
			for f in $(FORMATS); \
			do \
				$(RM) $(pkg_locale_dir)/$$d/$$f; \
			done; \
			$(RMDIR) $(pkg_locale_dir)/$$d; \
		done; \
		for f in `ls $(pkg_locale_dir)/*.pm`; \
		do \
			$(RM) $$f; \
		done; \
		$(RMDIR) $(pkg_locale_dir)

		set -e; \
		for f in `ls $(pkg_format_dir)/*.pm`; \
		do \
			$(RM) $$f; \
		done; \
		$(RMDIR) $(pkg_format_dir)

		set -e; \
		for f in $(ENTITIES); \
		do \
			$(RM) $(pkg_ent_dir)/$$f; \
		done; \
		$(RMDIR) $(pkg_ent_dir)

		set -e; \
		for f in $(DTDS); \
		do \
			$(RM) $(pkg_dtd_dir)/$$f; \
		done; \
		$(RMDIR) $(pkg_dtd_dir)

clean:

		$(RM) $(foreach bconv,$(BCONVS),tools/bin/$(bconv))

## ----------------------------------------------------------------------

=== debian/changelog ===
debiandoc-sgml (1.1.67woody1) stable; urgency=low

  * debian/postinst: added invocation of 'install-sgmlcatalog --remove
    debiandoc-sgml' to clean up cruft potentially left over from the SGML
    catalog transition in a potato -> woody upgrade
    (closes: Bug#154737)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 24 Aug 2002 09:43:46 -0500

debiandoc-sgml (1.1.67) unstable; urgency=high

  * urgency set to 'high' to speed up getting into woody where it is
    needed to allow for the proper generation of the PDF version of the
    Debian Policy document and for the proper generation of documents
    written in Italian (e.g. Debian New Maintainer's Guide)
  * Format/LaTeX.pm: dropped inclusion of 'asmsymb' package for now
  * Map/LaTeX.pm: changed to reflect this drop
  * Format/LaTeX.pm: changed processing of the 'tilde' character to allow
    proper generation of documents written in Italian
    (closes: Bug#144177)
  * Format/LaTeX.pm: changed processing of the 'circumflex' character to
    allow proper generation of documents written in Spanish
  * Format/LaTeX.pm: changed to using the 'Palatino' and 'Helvetica' fonts
    to improve readability of PS and PDF documents
  * bin/debiandoc2{dvi,latexdvi,latexpdf,latexps,pdf,ps}: improved upon
    solution used to resolve bug #138368 (see version 1.1.60)
    (closes: Bug#144194)

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue, 23 Apr 2002 23:14:32 -0500

debiandoc-sgml (1.1.66) unstable; urgency=high

  * urgency set to 'high' to speed up getting into woody where it is
    needed to build proper boot-floppies documentation
  * bin/debiandoc2latex{pdf,ps}: changed to generate output in bi-stable loop
    (closes: Bug#134701)
  * Map/LaTeX.pm: updated to support all character entities in Russian
  * Format/HTML.pm: fixed generating incomplete <link> targets

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 21 Apr 2002 19:28:53 -0500

debiandoc-sgml (1.1.65) unstable; urgency=low

  * Added support for ISO 8879:1986 character entities
    (closes: Bug#51746, Bug#72550, Bug#85475, Bug#142654)
  * Format/LaTeX.pm: dropped usage of 'Times' font to be able to support
    ISO 8879:1986 character entities properly
  * Locale/Alias.pm: fixed wrong mapping of locale 'gl_ES.ISO8859-1'

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 14 Apr 2002 22:24:01 -0500

debiandoc-sgml (1.1.64) unstable; urgency=low

  * bin/debiandoc2info: changed to suppress too strict node checking
    (closes: Bug#140740)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  7 Apr 2002 16:45:40 -0500

debiandoc-sgml (1.1.63) unstable; urgency=low

  * Format/Text*: fixed handling of footnote and lists combinations
    (closes: Bug#113582)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  7 Apr 2002 10:45:45 -0500

debiandoc-sgml (1.1.62) unstable; urgency=low

  * Format/LaTeX.pm: fixed handling of '_' in URLs and paths
    (closes: Bug#99287)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat,  6 Apr 2002 17:23:08 -0600

debiandoc-sgml (1.1.61) unstable; urgency=low

  * bin/mkconversions: fixed small typo in script generation

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat,  6 Apr 2002 12:51:45 -0600

debiandoc-sgml (1.1.60) unstable; urgency=low

  * Added support for optional <link> tags in HTML output
    (closes: Bug#140677)
  * Added support for ...@euro locales
    (closes: Bug#138437)
  * bin/{debiandoc2*,template}: always return exit status of zero upon success
    (closes: Bug#138368)
  * Locale/fr_FR.ISO8859-1/HTML: fixed typo
    (closes: Bug#140962)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat,  6 Apr 2002 12:07:46 -0600

debiandoc-sgml (1.1.59) unstable; urgency=low

  * Format/Driver.pm: fixed wrong order of processing command line options
    and loading the corresponding backend modules, which resulted in
    default locales being used in the output format generation module
    (closes: Bug#138353)

 -- Ardo van Rangelrooij <ardo@debian.org>  Thu, 14 Mar 2002 19:07:38 -0600

debiandoc-sgml (1.1.58) unstable; urgency=low

  * Format/Driver.pm: removed falling back on using user environment
    locale settings if option '-l' is not used (closes: Bug#76037)
  * man/debiandoc-sgml.1: updated to reflect this change in behaviour

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  3 Mar 2002 17:59:55 -0600

debiandoc-sgml (1.1.57) unstable; urgency=low

  * Format: revamped table of contents handling
  * bin/saspconvert: removed code made obsolete due to the above
  * bin/template:  removed obsolete 'toc' parameter
  * bin/mkconversions: removed obsolete 'toc' parameter
  * bin/conversions: removed obsolete 'toc' parameter
  * Format/HTML.pm: revamped navigation bar handling
  * Format/HTML.pm: added support for link elements (closes: Bug#135767)
  * Added support for a single HTML page (closes: Bug#31658, Bug#129413)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  3 Mar 2002 13:20:05 -0600

debiandoc-sgml (1.1.56) unstable; urgency=low

  * Format: revamped title page handling
  * bin/saspconvert: removed code made obsolete due to the above
  * Format/Texinfo.pm: fixed footnote handling (closes: Bug#129685)
  * Format/Texinfo.pm: dropped usage of 'Text::Format'
  * bin/debiandoc2latex[dvi,pdf,ps]: added check for used LaTeX styles
    (closes: Bug#127233)
  * debian/control: added dependency on 'debianutils'

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 23 Feb 2002 18:57:18 -0600

debiandoc-sgml (1.1.55) unstable; urgency=low

  * bin/template: fixed handling of nsgmls options (closes: Bug#126914)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 29 Dec 2001 15:45:46 -0600

debiandoc-sgml (1.1.54) unstable; urgency=low

  * bin/debiandoc2latex{dvi,pdf,ps}: added -O option (= send output to stdout)
  * Added debiandoc2dvi
  * Added debiandoc2pdf
  * Added debiandoc2ps (closes: Bug#60094, Bug#61680)
  * debian/postinst: removed spurious old catalog removal comamnd

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue, 25 Dec 2001 16:50:20 -0600



=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: text
 Priority: optional
 Maintainer: Ardo van Rangelrooij <ardo@debian.org>
-Standards-Version: 3.1.1
-Build-Depends: debhelper
+Standards-Version: 3.5.6
+Build-Depends-Indep: debhelper (>= 3.0.5)
 
 Package: debiandoc-sgml
+Section: text
+Priority: optional
 Architecture: all
-Depends: ${perl:Depends}, libsgmls-perl, sgmlspl, sgml-base, sgml-data, sp, libtext-format-perl, libi18n-langtags-perl, liburi-perl, libhtml-parser-perl
+Depends: ${perl:Depends}, libhtml-parser-perl, libi18n-langtags-perl, libsgmls-perl, libtext-format-perl, liburi-perl, debianutils (>= 1.15), sgml-base (>= 1.10), sgml-data, sgmlspl, sp
 Recommends: libpaperg, tetex-bin, tetex-extra, texinfo
 Suggests: debiandoc-sgml-doc
 Description: DebianDoc SGML DTD and formatting tools

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,15 @@
 #!/usr/bin/make -f
 ## ----------------------------------------------------------------------
-## debian/rules : build and install script for debiandoc-sgml
+## debian/rules : package script for debiandoc-sgml
 ## ----------------------------------------------------------------------
 
 ## ----------------------------------------------------------------------
 ## uncomment this to turn on verbose mode
 #export DH_VERBOSE=1
+
+## ----------------------------------------------------------------------
+## use version 3
+export DH_COMPAT=3
 
 ## ----------------------------------------------------------------------
 ## targets
@@ -28,8 +32,9 @@
 		dh_testroot
 		dh_clean
 		dh_installdirs
-		$(MAKE) prefix=`pwd`/debian/tmp/usr install
-		dh_installdocs README
+		$(MAKE) install prefix=$(PWD)/debian/tmp/usr
+		dh_movefiles
+		dh_installdocs
 		dh_installchangelogs
 		dh_compress
 		dh_fixperms

## debiandoc-sgml 1.1.83

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 man_dir		:= $(share_dir)/man
 endif
 ifeq ($(prefix),/usr/local)
-perl_version	:= 5.6.1
+perl_version	:= 5.8.2
 perl_dir	:= $(share_dir)/perl/$(perl_version)
 else
 perl_dir	:= $(share_dir)/perl5

=== debian/changelog ===
debiandoc-sgml (1.1.83) unstable; urgency=low

  * Format/LaTeX.pm: fixed creation of invalid .tex code
    (closes: Bug#246056)

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 26 Apr 2004 20:09:24 -0500

debiandoc-sgml (1.1.82) unstable; urgency=low

  * bin/debiandoc2latex{dvi,pdf,ps}: updated check for used LaTeX styles
    (partial fix for Bug#218529)
  * bin/{debiandoc2*,template}: updated to output error message to stderr
    (partial fix for Bug#218529)
  * bin/{debiandoc2*,template}: removed falling back on locale settings
    in environment variables locale settings if '-l' option is not used
  * Format/HTML.pm: fixed locale to language tag conversion
  * Locale: proper introduction of support for Euro-based locales
  * Locale/zh*: fixed translation errors
    (closes: Bug#231990)
  * Format/LaTeX.pm: added hyperref driver based on output format
    (partial fix for Bug#214249)
  * man/debiandoc-sgml.1: added proper spacing to options
  * debian/README.Debian: cosmetic updates
  * debian/TODO: updated
  * Updated all applicable copyright summaries to reflect new year

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 25 Apr 2004 09:54:57 -0500

debiandoc-sgml (1.1.81) unstable; urgency=low

  * debian/control: changed build dependency on 'debhelper' to '(>= 4.1.75)'
    to get proper post and pre scripts generated per latest SGML practices
  * debian/control: upgraded to Debian Policy 3.6.1 (no changes)
  * debian/TODO: updated

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 18 Oct 2003 21:50:54 -0500

debiandoc-sgml (1.1.80) unstable; urgency=low

  * converted to 'dh_installcatalogs'
  * debian/control: changed build dependency on 'debhelper' to '(>= 4.1)'
  * debian/control: upgraded to Debian Policy 3.6.0 (no changes)
  * debian/TODO: updated

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 11 Aug 2003 19:37:33 -0500

debiandoc-sgml (1.1.79) unstable; urgency=low

  * Locale/fr_FR.ISO8859-1/LaTeX: changed input encoding from 'latin1'
    to 'latin9'
    (closes: Bug#191766)
  * Locale/fr_FR.ISO8859-1/HTML: changed charset to 'iso-8859-15'

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 18 May 2003 18:51:32 -0500

debiandoc-sgml (1.1.78) unstable; urgency=low

  * debian/control: upgraded to Debian Policy 3.5.9 (no changes)
  * debian/debiandoc-sgml.prerm: also remove centralized catalog entry
    from supercatalog upon upgrade

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 29 Mar 2003 13:54:13 -0600

debiandoc-sgml (1.1.77) unstable; urgency=low

  * Added support for numbering style indication to <enumerate>
    (closes: Bug#145999)
  * Added support for numbering continuation indication to <enumerate>
    (closes: Bug#147623)
  * debian/control: added dependency on 'libroman-perl'

 -- Ardo van Rangelrooij <ardo@debian.org>  Fri, 28 Mar 2003 23:36:52 -0600

debiandoc-sgml (1.1.76) unstable; urgency=low

  * debian/rules: moved debhelper compatibility level setting to
    'debian/compat' per latest debhelper best practices
  * Implemented <translator>
    (closes: Bug#30734)

 -- Ardo van Rangelrooij <ardo@debian.org>  Thu, 20 Mar 2003 20:16:40 -0600

debiandoc-sgml (1.1.75) unstable; urgency=low

  * Format/Texinfo.pm: added missing '}' in processing <ref>
    (closes: Bug#180564)
  * Locale: added locale for tr_TR.ISO8859-9
    (thanks to Murat Demirten)

 -- Ardo van Rangelrooij <ardo@debian.org>  Fri, 14 Feb 2003 21:49:32 -0600

debiandoc-sgml (1.1.74) unstable; urgency=low

  * debian/debiandoc-sgml.postinst: added '--quiet' flag to invocation of
    'install-sgmlcatalog'
  * debian/debiandoc-sgml.p*: made various small cosmetic comment changes
  * Format/HTML.pm: fixed incomplete href entry for last entry in toc
    (closes: Bug#178437)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 26 Jan 2003 17:42:13 -0600

debiandoc-sgml (1.1.73) unstable; urgency=low

  * Locale: added support for locale specific section heading format
    (closes: Bug#31266, Bug#34146, Bug#146157)
  * README: removed from binary package as it is intended for source only
  * debian/README.Debian: added with pointers to the documentation and the
    Debian SGML mailing list
    (closes: Bug#172299)
  * Format/HTML.pm: changed to generate intra-file links without filename
    (closes: Bug#169266)
  * bin/debiandoc2latexpdf: changed to use 'thumbpdf' to put thumbnail images
    of the pages in the generated PDF output file
    (closes: Bug#160632)
  * debian/rules: upgraded to debhelper v4
  * debian/control: changed build dependency on debhelper accordingly
  * debian/rules: migrated from 'dh_movefiles' to 'dh_install'
  * debian/rules: split off 'install' target from 'binary-indep' target
  * debian/control: upgraded to Debian Policy 3.5.8 (no changes)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 29 Dec 2002 20:50:05 -0600

debiandoc-sgml (1.1.72) unstable; urgency=low

  * debian/postinst: added invocation of 'install-sgmlcatalog --remove
    debiandoc-sgml' to clean up cruft potentially left over from the SGML
    catalog transition in a potato -> woody upgrade

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 24 Aug 2002 09:10:12 -0500

debiandoc-sgml (1.1.71) unstable; urgency=low

  * Format/HTML.pm: fixed not generating toplevel page when no table of
    contents present
    (closes: Bug#151831)
  * Format/HTML.pm: fixed generating extraneous empty lines around <hr>

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon,  8 Jul 2002 20:17:17 -0500

debiandoc-sgml (1.1.70) unstable; urgency=low

  * bin/debiandoc2{dvi,ps,pdf}: changed arithmetic expressions to
    facilitate backporting to potato
    (thanks Osamu)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 15 Jun 2002 14:27:22 -0500

debiandoc-sgml (1.1.69) unstable; urgency=low

  * debian/control: removed explicit and versioned dependency on
    'debianutils' to facilitate backporting to potato
    (thanks Jordi Mallach <jordi@debian.org>)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 25 May 2002 11:07:44 -0500



## debiandoc-sgml 1.1.84

=== debian/changelog ===
debiandoc-sgml (1.1.84) unstable; urgency=high

  * Format/Driver.pm: fixed erroneous enum list item counter increase
    (closes: Bug#218879, Bug#240782), (partly fix for Bug#256076)
  * The urgency is set to high since various documentation packages will
    need to be rebuild and such now that this bug is fixed

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue, 19 Oct 2004 22:53:18 -0500

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: text
 Priority: optional
 Maintainer: Ardo van Rangelrooij <ardo@debian.org>
-Standards-Version: 3.5.6
-Build-Depends-Indep: debhelper (>= 3.0.5)
+Standards-Version: 3.6.1
+Build-Depends-Indep: debhelper (>= 4.1.75)
 
 Package: debiandoc-sgml
 Section: text
 Priority: optional
 Architecture: all
-Depends: ${perl:Depends}, libhtml-parser-perl, libi18n-langtags-perl, libsgmls-perl, libtext-format-perl, liburi-perl, debianutils (>= 1.15), sgml-base (>= 1.10), sgml-data, sgmlspl, sp
+Depends: ${perl:Depends}, libhtml-parser-perl, libi18n-langtags-perl, libroman-perl, libsgmls-perl, libtext-format-perl, liburi-perl, sgml-data, sgmlspl, sp, ${misc:Depends}
 Recommends: libpaperg, tetex-bin, tetex-extra, texinfo
 Suggests: debiandoc-sgml-doc
 Description: DebianDoc SGML DTD and formatting tools

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,17 @@
 #export DH_VERBOSE=1
 
 ## ----------------------------------------------------------------------
-## use version 3
-export DH_COMPAT=3
+TMP_DIR		= debian/tmp
 
 ## ----------------------------------------------------------------------
 ## targets
+
+clean:
+		dh_testdir
+		dh_testroot
+		[ ! -f Makefile ] || $(MAKE) clean
+		dh_clean
+		rm -f build-stamp install-stamp
 
 build:		build-stamp
 build-stamp:
@@ -20,22 +26,22 @@
 		$(MAKE) prefix=/usr
 		touch build-stamp
 
-clean:
+install:	install-stamp
+install-stamp:	build
 		dh_testdir
 		dh_testroot
-		$(MAKE) clean
-		dh_clean
-		rm -f build-stamp
+		dh_clean -k
+		dh_installdirs
+		$(MAKE) install prefix=$(PWD)/$(TMP_DIR)/usr
+		touch install-stamp
 
-binary-indep:	build
+binary-indep:	build install
 		dh_testdir
 		dh_testroot
-		dh_clean
-		dh_installdirs
-		$(MAKE) install prefix=$(PWD)/debian/tmp/usr
-		dh_movefiles
+		dh_install --sourcedir=$(TMP_DIR)
 		dh_installdocs
 		dh_installchangelogs
+		dh_installcatalogs
 		dh_compress
 		dh_fixperms
 		dh_installdeb
@@ -48,6 +54,6 @@
 
 binary:		binary-indep binary-arch
 
-.PHONY:		build clean binary-indep binary-arch binary
+.PHONY:		clean build install binary-indep binary-arch binary
 
 ## ----------------------------------------------------------------------

## debiandoc-sgml 1.1.88

=== Makefile ===
--- 
+++ 
@@ -53,15 +53,14 @@
 ## ----------------------------------------------------------------------
 ## Package tools file definitions
 FORMATS		:= HTML LaTeX Texinfo Text TextOV
-SPECS		:= html latex texinfo text textov
+SPECS		:= html latex texinfo text textov info latexdvi latexps latexpdf docbookxml
 EXTS		:= html tex texinfo txt tov
 BCONVS		:= $(foreach spec,$(SPECS),$(dtd_name)2$(spec))
-PCONVS		:= $(dtd_name)2dvi $(dtd_name)2info $(dtd_name)2latexdvi \
-			$(dtd_name)2latexpdf $(dtd_name)2latexps \
-			$(dtd_name)2pdf $(dtd_name)2ps
+PSPECS		:= dvi ps pdf
+PCONVS		:= $(foreach spec,$(PSPECS),$(dtd_name)2$(spec))
 TOOLS		:= $(BCONVS) $(PCONVS)
 MAN1S		:= $(pkg_name)
-HELPERS		:= saspconvert
+HELPERS		:= saspconvert fixlatex
 
 ## ----------------------------------------------------------------------
 ## General (un)install definitions
@@ -73,6 +72,7 @@
 LN		:= /bin/ln -sf
 RM		:= /bin/rm -f
 RMDIR		:= /bin/rmdir -p --ignore-fail-on-non-empty
+DIFF		:= /usr//bin/diff -w -u
 
 ## ----------------------------------------------------------------------
 ## Targets
@@ -81,7 +81,7 @@
 bin:		$(foreach bconv,$(BCONVS),tools/bin/$(bconv))
 
 $(foreach bconv,$(BCONVS),tools/bin/$(bconv)): \
-		tools/bin/template tools/bin/conversions tools/bin/mkconversions
+		tools/bin/template tools/bin/mkconversions
 
 		set -e; \
 		cd tools/bin; \
@@ -142,9 +142,13 @@
 
 		set -e; \
 		$(INSTALL_DIR) $(bin_dir); \
-		for f in $(TOOLS); \
+		for f in $(BCONVS); \
 		do \
 			$(INSTALL_SCRIPT) tools/bin/$$f $(bin_dir); \
+		done
+		for f in $(PSPECS); \
+		do \
+			$(LN) $(dtd_name)2latex$$f $(bin_dir)/$(dtd_name)2$$f; \
 		done
 
 		set -e; \
@@ -227,8 +231,22 @@
 		done; \
 		$(RMDIR) $(pkg_dtd_dir)
 
+diff:		scripts.diff
+
+scripts.diff:	 $(foreach bconv,$(BCONVS),tools/bin/$(bconv))
+
+		:> scripts.diff
+		for f in $(BCONVS); \
+		do \
+			g=/usr/bin/$$f ;\
+			if [ -e "$$g" ] ; then \
+			$(DIFF) $$g tools/bin/$$f >> scripts.diff || true ;\
+			fi ;\
+		done
+
 clean:
 
 		$(RM) $(foreach bconv,$(BCONVS),tools/bin/$(bconv))
-
-## ----------------------------------------------------------------------
+		rm -f scripts.diff
+
+## ----------------------------------------------------------------------

=== debian/changelog ===
debiandoc-sgml (1.1.88) unstable; urgency=high

  * Locale: added Romanian locale (closes: Bug#310885)
    (thanks to Dan Damian <dand@codemonkey.ro>) [jens]
  * Added notes about required packages to README [jens]

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 30 May 2005 17:40:17 -0500

debiandoc-sgml (1.1.87) unstable; urgency=low

  * Locale: added Basque locale (closes: Bug#303722)
    (thanks to Piarres Beobide Egaña <pi@beobide.net>) [jens]
   * Readd option -1 to debiandoc2ps to ensure compatibility with
     older build scripts. This deprecated feature may be removed again
     after sarge release (closes: #301684) (Thanks to Frank 
     Lichtenheld <djpig@debian.org>). [osamu] 

 -- Osamu Aoki <osamu@debian.org>  Fri, 15 Apr 2005 12:09:36 +0200

debiandoc-sgml (1.1.86) unstable; urgency=low

  * Reorganize source to generate all debiandoc2* files from a single
    template file. [osamu]
  * Add DocBook XML generation capability with new debiandoc2docbookxml
    command using Texinfo tool sets.  Updated manpage. [osamu]
  * Updated TODO list and README.Debian. [osamu]
  * Build script creates a diff files for generated debiandoc2* files as
    scripts.diff to help debug. [osamu]
  * Added support for Slovenian (closes: Bug#291481) [jens]
  * Added option -s to debiandoc2latexdvi, debiandoc2latexps
    debiandoc2latexpdf, debiandoc2info, and  debiandoc2docbookxml to
    specify the script for the post processing of the generated .tex and
    .texinfo files (closes: Bug#202317) [jens, osamu]
  * Added PS/PDF support for Japanese, Chinese and Korean based on
    fixlatex script from Debian Reference (closes: Bug#202315, Bug#214249)
    (compare Bug#207810) [jens]
  * debian/control: Added to Recommends: [jens]
     gs-esp | gs: required for PDF's thumbnail generation.
     cjk-latex: required for Chinese and Japanese PS/PDF.
     hlatex: required for Korean PS/PDF.
  * Use $PAPERSIZE instead of $PAPERCONF to set paper size
    (closes: Bug#286537) [jens]
  * Added a missing space in LaTeX output after "..."
    (closes: Bug#244625) [jens]
  * Minor translation fix for German copyright string. [jens]
  * Use "ngerman" language option instead of "german" for using new German
    orthography in LaTeX formats [jens]
  * debian/control: added 'Jens Seidel <tux-master@web.de>' to
    'Uploaders' [ardo] 

 -- Osamu Aoki <osamu@debian.org>  Mon, 21 Feb 2005 21:57:45 +0100

debiandoc-sgml (1.1.85) unstable; urgency=low

  * debian/control:
    * changed 'Maintainer' to 'DebianDoc-SGML Pkgs
      <debiandoc-sgml-pkgs@lists.alioth.debian.org>'
    * added current maintainer and Osamu Aoki as 'Uploaders'

 -- Ardo van Rangelrooij <ardo@debian.org>  Thu, 10 Feb 2005 22:29:13 -0600

=== debian/control ===
Source: debiandoc-sgml
Section: text
Priority: optional
Maintainer: DebianDoc-SGML Pkgs <debiandoc-sgml-pkgs@lists.alioth.debian.org>
Uploaders: Ardo van Rangelrooij <ardo@debian.org>, Osamu Aoki <osamu@debian.org>, Jens Seidel <tux-master@web.de>
Standards-Version: 3.6.1
Build-Depends-Indep: debhelper (>= 4.1.75)

Package: debiandoc-sgml
Section: text
Priority: optional
Architecture: all
Depends: ${perl:Depends}, libhtml-parser-perl, libi18n-langtags-perl, libroman-perl, libsgmls-perl, libtext-format-perl, liburi-perl, sgml-data, sgmlspl, sp, ${misc:Depends}
Recommends: libpaperg, tetex-bin, tetex-extra, texinfo, cjk-latex, hlatex, gs-esp | gs
Suggests: debiandoc-sgml-doc
Description: DebianDoc SGML DTD and formatting tools
 This is an SGML-based documentation formatting package used for the
 Debian manuals.  It reads markup files and produces HTML, LaTeX, DVI 
 (via LaTeX), PostScript (via LaTeX/DVI), PDF (via LaTeX), Texinfo,
 Info (via Texinfo), DocBook XML (via Texinfo), plain text (with
 overstrikes a la troff as well as without) files.
 .
 The LaTeX based output needs the libpaperg, tetex-bin and tetex-extra
 packages.  In addition to this, Chinese and Japanese need cjk-latex and 
 corresponding font packages while Korean needs hlatex and corresponding 
 font packages. The Texinfo based output needs the texinfo package. 
 .
 Homepage: http://alioth.debian.org/projects/debiandoc-sgml/

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 		[ ! -f Makefile ] || $(MAKE) clean
 		dh_clean
 		rm -f build-stamp install-stamp
+		rm -f scripts.diff
 
 build:		build-stamp
 build-stamp:
@@ -26,8 +27,12 @@
 		$(MAKE) prefix=/usr
 		touch build-stamp
 
+diff:		scripts.diff
+scripts.diff:	build-stamp
+	        $(MAKE) scripts.diff prefix=/usr
+
 install:	install-stamp
-install-stamp:	build
+install-stamp:	build diff
 		dh_testdir
 		dh_testroot
 		dh_clean -k
@@ -54,6 +59,6 @@
 
 binary:		binary-indep binary-arch
 
-.PHONY:		clean build install binary-indep binary-arch binary
+.PHONY:		clean build install binary-indep binary-arch binary diff
 
 ## ----------------------------------------------------------------------

## debiandoc-sgml 1.1.94

=== Makefile ===
--- 
+++ 
@@ -53,8 +53,9 @@
 ## ----------------------------------------------------------------------
 ## Package tools file definitions
 FORMATS		:= HTML LaTeX Texinfo Text TextOV
-SPECS		:= html latex texinfo text textov info latexdvi latexps latexpdf docbookxml
-EXTS		:= html tex texinfo txt tov
+XFORMATS	:= SGML XML
+SPECS		:= html latex texinfo text textov info latexdvi latexps latexpdf xml sgml docbookxml
+EXTS		:= html tex texinfo txt tov xml sgml
 BCONVS		:= $(foreach spec,$(SPECS),$(dtd_name)2$(spec))
 PSPECS		:= dvi ps pdf
 PCONVS		:= $(foreach spec,$(PSPECS),$(dtd_name)2$(spec))
@@ -125,6 +126,14 @@
 				$(INSTALL_FILE) $$d/$$f $(pkg_locale_dir)/`basename $$d`; \
 			done; \
 		done
+		for d in `ls -d tools/lib/Locale/*_*`; \
+		do \
+			$(INSTALL_DIR) $(pkg_locale_dir)/`basename $$d`; \
+			for f in $(XFORMATS); \
+			do \
+				$(INSTALL_FILE) tools/lib/Locale/$$f $(pkg_locale_dir)/`basename $$d`; \
+			done; \
+		done
 
 		set -e; \
 		$(INSTALL_DIR) $(pkg_map_dir); \
@@ -204,6 +213,15 @@
 			done; \
 			$(RMDIR) $(pkg_locale_dir)/$$d; \
 		done; \
+		for d in `ls -d $(pkg_locale_dir)/*_*`; \
+		do \
+			d=`basename $$d`; \
+			for f in $(XFORMATS); \
+			do \
+				$(RM) $(pkg_locale_dir)/$$d/$$f; \
+			done; \
+			$(RMDIR) $(pkg_locale_dir)/$$d; \
+		done; \
 		for f in `ls $(pkg_locale_dir)/*.pm`; \
 		do \
 			$(RM) $$f; \
@@ -233,6 +251,7 @@
 
 diff:		scripts.diff
 
+# chack script changes against instal;lled version if exists
 scripts.diff:	 $(foreach bconv,$(BCONVS),tools/bin/$(bconv))
 
 		:> scripts.diff

=== debian/changelog ===
debiandoc-sgml (1.1.94) unstable; urgency=low

  * Modified LaTeX.pm to load textcomp.sty with force option in order
    to convince it that Palatino *really* has a currency symbol under
    teTeX 3.0. The force option only restores the behavior under
    teTeX-2.0.2, and it has been checked that this gave correct output.
    (closes: Bug#338376) [per frank@debian.org]
  * Fixed an syntax error in this changelog for version 1.1.11 [jens]

 -- Osamu Aoki <osamu@debian.org>  Sun,  1 Jan 2006 12:04:05 +0900

debiandoc-sgml (1.1.93) unstable; urgency=medium

  * Avoid using dvips option -z if it fails such as for Debian Reference's
    zh_CN dvi file (closes: Bug#341849). [jens]

 -- Osamu Aoki <osamu@debian.org>  Mon, 03 Dec 2005 18:25:12 +0900

debiandoc-sgml (1.1.92) unstable; urgency=low

  * Fixed bogus horizontal line in the list in HTML 
    (closes: Bug#256076)
  * Provided default value of -d option to be
    /usr/share/sgml/debiandoc/dtd/sgml/1.0/debiandoc.dcl
    (closes: Bug#213332)
  * Close all wontfix-type wishlist bugs. 
    (closes: Bug#63318, Bug#137998, Bug#140684, Bug#141727, Bug#235793)
  * Updated TODO and README.Debian files.

 -- Osamu Aoki <osamu@debian.org>  Sat, 15 Oct 2005 20:32:51 +0900

debiandoc-sgml (1.1.91) unstable; urgency=low

  * Made generated XML source to be valid XML code.

 -- Osamu Aoki <osamu@debian.org>  Mon, 10 Oct 2005 18:25:12 +0900

debiandoc-sgml (1.1.90) unstable; urgency=low

  * Renamed old info based debiandoc2xml script to 
    debiandoc2docbookxml and marked as deprecated.
  * Added debiandoc2sgml and debiandoc2xml scrips which convert
    directly to formatted SGML and XML.
  * Made HTML conversion to produce XHTML code (closes: Bug#188117)

 -- Osamu Aoki <osamu@debian.org>  Mon, 10 Oct 2005 00:06:42 +0900

debiandoc-sgml (1.1.89) unstable; urgency=low

  * Fixed LaTeX code to produce DVI output even if pdfTeX is the engine
    behind LaTeX, needed to cooperate with teTeX-3.0 (closes: Bug#321942)
    (thanks to Frank Küster <frank@debian.org>) [jens]
  * Use -z option of dvips to obtain valid links if ps2pdf is applied on
    PostScript files (see Bug#321942) [jens]

 -- Ardo van Rangelrooij <ardo@debian.org>  Wed, 10 Aug 2005 02:40:17 +0200
